Alokai

SapccApiGetAllPagesRequest

Request parameters for getAllPages operation in SapccApi. SapccApiGetAllPagesRequest

interface SapccApiGetAllPagesRequest {
	readonly baseSiteId: string;
	readonly currentPage?: number;
	readonly fields?: GetAllPagesFieldsEnum;
	readonly pageSize?: number;
	readonly pageType?: GetAllPagesPageTypeEnum;
	readonly sort?: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiGetAllPages
currentPageOptionalnumberCurrent result page. Default value is 0. {number} SapccApiGetAllPages
fieldsOptionalGetAllPagesFieldsEnumResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC, DEFAULT, FULL. {'BASIC' | 'DEFAULT' | 'FULL'} SapccApiGetAllPages
pageSizeOptionalnumberNumber of results returned per page. Default value: 10. {number} SapccApiGetAllPages
pageTypeOptionalGetAllPagesPageTypeEnumPage type. {'ContentPage' | 'ProductPage' | 'CategoryPage' | 'CatalogPage'} SapccApiGetAllPages
sortOptionalstringSorting method applied to the return results. {string} SapccApiGetAllPages

Referenced Types

On this page